package org.kne.cloud.network;

public class TCPSocketType extends SocketType {
    private static final TCPSocketType INSTANCE = new TCPSocketType();

    private TCPSocketType() {
        super(
                new DefaultSocketFactory(),
                new DefaultServerSocketFactory(),
                new DefaultSocketChannelFactory(),
                new DefaultServerSocketChannelFactory()
        );
    }

    public static TCPSocketType getInstance() {
        return INSTANCE;
    }

    @Override
    public boolean isStream() {
        return true;
    }
}